--------------------------------------------------------------------
-- s_push_one_more.lua
-- ボタン（もう1回遊ぶ）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\game\\s_common")

-- SE再生
Scene.ControlSound( 0, CONTROL_STOP, "cursor8", 0 )
Scene.ControlSound( 0, CONTROL_PLAY, "cursor8", 0 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- 再度ゲームシーンへ
Scene.ChangeScene( 0, SCENE_GAME, TRANSITION_BLACK_OUT, 20, TRANSITION_BLACK_IN, 20 )

-- プレイ回数更新
Scene.SetEnvParameterInt( 0, "TempPlayCount", Scene.GetEnvParameterInt("TempPlayCount")+1 ) ;

-- 入力無効に
Scene.SetEnvParameterInt( 0, "EnableGameInput", 0 ) ;
Scene.SetEnvParameterInt( 0, "EnableSystemInput", 0 ) ;


